Upgrade from 1.6.6 to 1.6.6a

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Upgrade from 1.6.6 to 1.6.6a

Postby flammer » 23. February 2008 15:02

When I try to download the 1.6.6a upgrade installer it gives me a error saying "Need XAMPP version 1.6.5, but cannot find this version. So must abort installation" but I have 1.6.6 installed. Should I try to download the Selfextracting 7-ZIP archive?
flammer
 
Posts: 3
Joined: 23. February 2008 14:56

Postby Sean-Michael » 23. February 2008 17:36

I would say yes if you used the 7-Zip in the first place?
Sean-Michael
 
Posts: 69
Joined: 17. September 2006 01:37

Postby flammer » 23. February 2008 17:46

Sean-Michael wrote:I would say yes if you used the 7-Zip in the first place?
I have always used the installers to install xampp I'm just want to be sure if it is safe to use the Selfextracting 7-ZIP archive because I just do not want to lose my database.
flammer
 
Posts: 3
Joined: 23. February 2008 14:56

Postby Sean-Michael » 23. February 2008 18:27

I'm no pro, and would wait for further feed back, perhaps this is a bug or registry issue. It's my understanding that updates will not remove databases but there is always the old "Full Backup" before updating method ;)

Once again I am no pro, and have always used the 7-Zip package.

Can you point me to the file you downloaded? In the downloads I see this,
Upgrade Package 1.6.6a:
With Apache 2.2.8, MySQL 5.0.51a, PHP 5.2.5 + 4.4.8, phpMyAdmin 2.11.4, FileZilla FTP Server 0.9.25 for XAMPP 1.6.5 + 1.6.6. CHANGES


did you get your installer there?
Sean-Michael
 
Posts: 69
Joined: 17. September 2006 01:37

Postby flammer » 23. February 2008 20:12

Sean-Michael wrote:I'm no pro, and would wait for further feed back, perhaps this is a bug or registry issue. It's my understanding that updates will not remove databases but there is always the old "Full Backup" before updating method ;)

Once again I am no pro, and have always used the 7-Zip package.

Can you point me to the file you downloaded? In the downloads I see this,
Upgrade Package 1.6.6a:
With Apache 2.2.8, MySQL 5.0.51a, PHP 5.2.5 + 4.4.8, phpMyAdmin 2.11.4, FileZilla FTP Server 0.9.25 for XAMPP 1.6.5 + 1.6.6. CHANGES


did you get your installer there?
before 1.6.6a was out i downloaded the upgrade for 1.6.5 to 1.6.6 then 1.6.6a came out so I was trying to download the upgrade for 1.6.6a. I did get the installer from the http://www.apachefriends.org/en/xampp-windows.html#641 and I have never downloaded it from anywhere else. I downloaded the Upgrade Package 1.6.6a Installer
flammer
 
Posts: 3
Joined: 23. February 2008 14:56

Postby sari42 » 23. February 2008 23:48

the 7z exe will override the mysql db ("users, pw...") and all your (possibly amended) config files- DO BACKUP!
I always have my datadir outside of the xampp folder.
sari42
 
Posts: 800
Joined: 27. November 2005 18:28

Postby Sean-Michael » 24. February 2008 00:11

I should have made myself clear as well.

I've used the 7-zip package all along, meaning that I first got a full distribution 7-zip and used update packages (7-Zip) ever since.

I've never had any configuration files overridden using this process. Now, you've used the installer and that is different but I would think the updates update the same files for each method, just uses different a different process to achieve the goal?
Sean-Michael
 
Posts: 69
Joined: 17. September 2006 01:37


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 63 guests